### Method

# FwupdPlugin Context get_hwid_guids

since: 1.6.0

#### Declaration [src]

    GPtrArray*
    fu_context_get_hwid_guids (
      FuContext* self
    )

#### Description [src]

Returns all the HWIDs defined in the system. All hardware IDs on a specific system can be shown using the `fwupdmgr hwids` command.

Available since: 1.6.0

#### Return value

Type: An array of `utf8`

An array of GUIDs.

The returned data is owned by the instance.
Each element is a NUL terminated UTF-8 string.